{"openapi":"3.0.1","info":{"title":"","description":"","contact":{"name":"Land Oberösterreich, Abteilung Informationstechnologie","url":"https://www.land-oberoesterreich.gv.at","email":"it.post@ooe.gv.at"},"version":""},"servers":[{"url":"https://e-gov.ooe.gv.at/at.gv.ooe.ogd2-ckan/"}],"tags":[{"name":"LandOOE OGD API","externalDocs":{"description":"Find out more in the Documentation here: ","url":"../ckan-docu.html"}}],"paths":{"/notice":{"get":{"tags":["license-notice-controller"],"operationId":"renderNoticeMessage","responses":{"200":{"description":"OK","content":{"text/html":{"schema":{"type":"string"}}}}}}},"/api/{metadataIdentifier}":{"get":{"tags":["LandOOE OGD API"],"summary":"findByMetadataIdentifier","description":"When dataset is active, details are returned. When dataset is inactive (or was deleted) a 404 response (not found) is returned.","operationId":"findByMetadataIdentifier","parameters":[{"name":"metadataIdentifier","in":"path","description":"Enter ID1: metadata_identifier. When dataset is active, details are returned. When dataset is inactive (or was deleted) a 404 response (not found) is returned.","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"Metadata details","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MetadataDto"}}}},"404":{"description":"This metadata doesn't exist or is inactive"}}}},"/api/":{"get":{"tags":["LandOOE OGD API"],"summary":"getOverviewList","description":"Returns a list of ID1: metadata_identifiers representing active, inactive and deleted datasets. If there are no datasets identified, an empty list is returned.","operationId":"getOverviewList","parameters":[{"name":"since_time","in":"query","description":"When the optional parameter since_time is set, a list of ID1: metadata_identifiers is returned representing datasets that were changed or deleted since the defined date. If there are no datasets identified since the defined date, an empty list is returned. Example value(s) for the since_time parameter: 2022-12-30T02:00:00.000 or 2022-12-30. Note: Can be entered with and without a time value. Time value is ignored and only date value is considered for filtering.","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"type":"string"}}}}}}}}},"components":{"schemas":{"MetadataDto":{"required":["extras","license","maintainer","metadata_modified","notes","resources","tags","title"],"type":"object","properties":{"metadata_modified":{"type":"string","description":"ID5 - Metadata modified: Date of metadata creation or update. Dates are given in accordance with ÖNORM ISO 8601, i.e. YYYY-MM-DD."},"title":{"type":"string","description":"ID8 - Title: Title of the resource described"},"notes":{"type":"string","description":"ID9 - Description: Description of the resource content (data set, service or document)."},"tags":{"type":"array","description":"ID11 - Keywords: Assigning keywords to the resource (data set, service or document).","items":{"type":"string"}},"maintainer":{"type":"string","description":"ID19 - Maintainer: Name of the person or entity responsible for the resource"},"license":{"type":"string","description":"ID21 - Licence: Legal information on the use of the resource (data set, service or document)."},"extras":{"$ref":"#/components/schemas/MetadataExtrasDto"},"resources":{"type":"array","items":{"$ref":"#/components/schemas/MetadataResourcesUrlDto"}}}},"MetadataExtrasDto":{"required":["begin_datetime","categorization","metadata_identifier","publisher"],"type":"object","properties":{"metadata_identifier":{"type":"string","description":"ID1 - Metadata identifier: Unique identifier for metadata set. The entry describes unique identification for a metadata set. A UUID (according to RFC:4122) or the INSPIRE URI should be chosen."},"categorization":{"type":"array","items":{"type":"string","description":"ID10 - Categorization: Categorization of resource content. Predefined schema of categories for Austria, see annex 9c). See details in metadata data.gv.at - 2.6 Link: https://neu.ref.wien.gv.at/at.gv.wien.ref-live/coopogdveroeffentlichteinformationen"}},"publisher":{"type":"string","description":"ID20 - Publisher: Name of the organisation publishing the metadata set."},"begin_datetime":{"type":"string","description":"ID24- Begin date and time: Element specifying the valid from date of the resource"},"metadata_linkage":{"type":"array","items":{"type":"string","description":"ID6 - Metadata linkage: Links to further information on a dataset or service. Links to datasets used or interpreted in the document."}},"metadata_linkage_name":{"type":"array","items":{"type":"string","description":"ID37 - Metadata linkage name: Name of the reference (URL) to further information on the record or service. References to records that are used or interpreted in the document."}},"maintainer_link":{"type":"string","description":"ID13 - Maintainer Link: Contact page of the maintaining entity"},"license_url":{"type":"string","description":"ID38 - License URL: Link (URL) to publication of the licence on the web"},"terms_url":{"type":"string","description":"ID39 - Terms URL: Link (URL) to terms of use"},"schema_characterset":{"type":"string","description":"ID4 - Schema character set code: Character set code to specify the metadata set according to ISO\\IEC 10646-1"},"schema_language":{"type":"string","description":"ID3 - Schema language: ISO 639-2 three digit ISO language code for the metadata set"},"schema_name":{"type":"string","description":"ID2 - Schema name: Name of the metadata structure"},"lineage_quality":{"type":"string","description":"ID27 - Data quality and lineage: Human-readable description of the quality and/or origin of a data set or service, e.g. the method of data collection."},"attribute_description":{"type":"string","description":"ID12 - Attribute description: Describes the attribute information of a dataset or service"},"end_datetime":{"type":"string","description":"ID25 - End data and time: Specifies the valid to date of a data set, service or document"},"update_frequency":{"type":"string","description":"ID26 - Update frequency: Human-readable update frequency of a data set, service or document. For a code list see annex 9d). See details in metadata data.gv.at - 2.6 Link: https://neu.ref.wien.gv.at/at.gv.wien.ref-live/coopogdveroeffentlichteinformationen"}}},"MetadataResourcesUrlDto":{"required":["format","url"],"type":"object","properties":{"url":{"type":"string","description":"ID14 - Resource URL: URL for accessing the resource."},"format":{"type":"string","description":"ID15 - Resource format: Specifies the resource format as file type, download or service link. For a list of OGD formats and interfaces see chapter 09. See details in metadata data.gv.at - 2.6 Link: https://neu.ref.wien.gv.at/at.gv.wien.ref-live/coopogdveroeffentlichteinformationen"},"name":{"type":"string","description":"ID16 - Resource name: Name for individual data sets, services or individual documents. The attribute corresponds with the resource URL (ID 14)."}}}}}}